OpenGL fails on Intel 915G graphics adapter - driver problem

Questions about hardware and drivers
Forum rules
Before you post please read this

OpenGL fails on Intel 915G graphics adapter - driver problem

Postby dhfx on Wed Mar 27, 2013 11:06 pm

I'm running LMDE. The Firefox 19.0.2 troubleshooting information page reports the following for my graphics hardware:

Adapter Description: Tungsten Graphics, Inc -- Mesa DRI Intel(R) 915G x86/MMX/SSE2
Device: IDMesa DRI Intel(R) 915G x86/MMX/SSE2
Driver: Version1.4 Mesa 8.0.4
WebGL Renderer: Blocked for your graphics card because of unresolved driver issues.

This seems to be keeping me from viewing OpenGL graphics. I tried the Intel update applet but all their stuff seems to run only on Windows. Does anyone know if there's an updated Intel 915G driver for LMDE? This is, of course, assuming that the info from Firefox is correct.

Thanks in advance for any helpful information.

- dhfx
dhfx
Level 1
Level 1
 
Posts: 26
Joined: Wed Jun 29, 2011 10:04 pm

Linux Mint is funded by ads and donations.
 

Re: OpenGL fails on Intel 915G graphics adapter - driver pro

Postby swimmingcow on Mon Aug 05, 2013 9:08 am

On the subject of WebGL, this is not a driver problem but a hardware problem. WebGL is based on OpenGL version 2 ( http://en.wikipedia.org/wiki/WebGL ). Your VGA card only support OpenGL version 1.4. You need to upgrade your VGA card to the one that support OpenGL at least version 2. Nowadays VGA cards supports OpenGL up to version 4 something.

Example: This USD $25 PCI VGA card support OpenGl version 3.1 http://www.newegg.com/Product/Product.a ... 6814127705

Note: Make sure you buy VGA card that goes with your available VGA card slot in your motherboard.
swimmingcow
Level 1
Level 1
 
Posts: 1
Joined: Mon Aug 05, 2013 8:01 am


Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 3 guests